Subject: Re: bug#8551: making Emacs remember a key binding to 'other-window

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Apr 2011 16:39:24 -0300

> I am often running Emacs with multiple windows.  In my opinion the "C-x o"
> key-combination is too cumbersome, and I never use the "open-line" function
> "C-o" is bound to, so I'm always using "global-set-key" to bind "C-o" to
> "other-window".  How can I put that key binding in my ".emacs" file so that
> this key binding is remembered and I don't have to keep executing
> "global-set-key" manually?

I'd recommend you post such questions to gnu.emacs.help, since it's
neither a bug report, nor a feature request, but just a question.

As for answers, the Emacs manual (reachable via the Help menu, for
example) is a good way to figure it out.  It has a whole section "53.4.6
Rebinding Keys in Your Init File" with examples.

So for your case, you'd do:

   (global-set-key [?\C-o] 'other-window)

-- Stefan